
Figure - 开发 Dev #110969
开发 Dev # 110122 (New): 【MK】管理总票

开发 Dev # 110956 (完成 Closed): 【MK】【MM】管理总票

【MK】【001】【MM】【TC-RID: 0301-0900117】 副屏音量调整
2022-08-02 20:57 - CD MM陈海波

Status: 完成 Closed Start date: 2022-08-15

Priority: Normal Due date: 2022-08-25

Assignee: CD MM陈海波 % Done: 0%

Category: AUDIO-FW Estimated time: 0.00 hour

Target version:

Description

在没有接耳机的情况下， 调整音量， 需要调用主屏的音量调整接口。

相关需求和实现资料：

https://thundersoft.feishu.cn/file/boxcn2bXInLfPv1XW446a3XqKDe

https://thundersoft.feishu.cn/file/boxcnezmYT6pCerMrlYR9d2URve

https://thundersoft.feishu.cn/file/boxcnUVI5DpEIMmZxj811kLIzie

https://thundersoft.feishu.cn/file/boxcnbHPsc3OLRynTArN8HfkPqh

feature list:

https://thundersoft.feishu.cn/sheets/shtcnqaFyklNSnMcKWLulCI3xnc?sheet=wlkPyp

History

#1 - 2022-08-23 17:30 - CD MM陈海波

从https://share.thundersoft.com/redmine/issues/111382中确认的信息如下：

1. 副屏可以连接蓝牙耳机，但不能连接手机

2. 副屏控制的是副屏自己的声音音量，不控制中控的，中控可以控制副屏的音量

3. 副屏给中控同步的是除蓝牙耳机音量外的其他所有音量

 &emsp;&emsp;副屏调整音量，将要将调整音量的状态同步到中控。

 &emsp;&emsp;蓝牙音量是指蓝牙接入后，控制的播放音量，可以不用同步给中控，因为这里控制的是蓝牙音量

4. 副屏不会连接线控耳机，无相关外设接口

5. 副屏给中控传的都是以媒体音传输，声音策略，不需要做判定，只负责把音量档位，streamtype统一为media，传给中控

6. 中控不能控制副屏的蓝牙音量

#2 - 2022-08-23 17:49 - CD MM陈海波

总结后的需求为以下三点： 

1. 非蓝牙状态下，中控可以控制副屏的音量，副屏控制的是副屏自己的声音音量，不控制中控的，但副屏设置音量后，需将状态同步给中控（mediaType

都是media）

2. 副屏可以连接蓝牙耳机，但不能连接手机。蓝牙状态下， 副屏自己管理声音音量，不需要对中控分享。

3. 副屏不会连接线控耳机，无相关外设接口

#3 - 2022-09-29 09:59 - CD MM陈海波

经过讨论: 

非蓝牙情况, 音量由主屏往amp传送, 副屏只需要将音量提供给主屏.
#4 - 2022-10-09 20:20 - CD MM唐驭俊

streamtype统一为media的提交: 

https://dev.thundercomm.com/gerrit/c/general/platform/vendor/thundercomm/overlay/+/146447

音量音阶调整为39的提交: 

https://dev.thundercomm.com/gerrit/c/general/device/qcom/qssi/+/154121

#5 - 2022-11-09 14:00 - CD MM唐驭俊

- Status changed from New to 进行中 In Progress

#6 - 2022-12-22 20:28 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

146447 general/platform/vendor/thundercom

m/overlay

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tangyj0127@thundersoft.com

MM:Audio: all the streams is mapped to a single stream(Media).The system maps all streams to a single stream(Media).TC-RID: 0301-0900117IssueID:

TS-R-DF-110969Change-Id: I4b76c04b9986fe337ee766a980f43c48b9365750

#7 - 2022-12-22 20:28 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

146835 general/platform/frameworks/base Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tangyj0127@thundersoft.com

MM:Audio: sent volume event to IDCMsent volume event to IDCM.TC-RID: 0301-0900117IssueID: TS-R-DF-110969Change-Id:

I2a5915e8dfc6a4deff0131a61b37838211460f0c

#8 - 2022-12-22 20:40 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

154121 general/device/qcom/qssi Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tangyj0127@thundersoft.com

MM:Audio: adjust the volume index to 39adjust the volume index to 39TC-RID: 0301-0900117IssueID: TS-R-DF-110969Change-Id:

I9c34d34e8999684176139b30788f5628dd43c3d8

#9 - 2022-12-22 20:47 - CD FW-王伟
Gerrit Merge Information：

ID Project Branch Uploader

158254 general/platform/frameworks/base Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tangyj0127@thundersoft.com

MM:Audio: sent audio mute event to IDCMsent audio mute event to IDCMChange-Id: Ie2736439c54b038f3c85ff4f384cd4a0d460783bTC-RID:

0301-0900117IssueID: TS-R-DF-110969

#10 - 2022-12-22 20:49 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

159771 general/platform/frameworks/base Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tangyj0127@thundersoft.com

MM:Audio: rollback if fail to set volume.rollback if rejected to set volume by IDCM.TC-RID: 0301-0900117IssueID: TS-R-DF-110969Change-Id:

I5837cf08501d45a537636f1c3eecae2d2d69e6a6

#11 - 2022-12-22 20:50 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

160815 general/platform/frameworks/base Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tangyj0127@thundersoft.com

MM:Audio: adjust information to communicate with IDCMadjust information to communicate with IDCMTC-RID: 0301-0900117IssueID:

TS-R-DF-110969Change-Id: I9af249b76c3acd986745114c9cf96a537ed98c3a

#12 - 2022-12-22 20:51 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

161102 general/platform/frameworks/base Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tangyj0127@thundersoft.com

MM:Audio: adjust information to communicate with IDCM1. show dialog when IDCM request sending vol event.2. timeout is set as 500TC-RID:

0301-0900117IssueID: TS-R-DF-110969Change-Id: Ibfbef0f8c36c542a8156f3c92b375a82bf23c170

#13 - 2022-12-22 20:51 - CD FW-王伟
Gerrit Merge Information：

ID Project Branch Uploader

161508 general/platform/frameworks/base Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tangyj0127@thundersoft.com

MM:Audio: fix some problems.1. add system prop to set the value for timeout.2. ignore permission if request muting device   from IDCM3. fix redmine issue:

110969TC-RID: 0301-0900117IssueID: TS-R-DF-110969Change-Id: I35367ead26af6ac0148bc4bc28928a5e5d03b79a

#14 - 2023-01-10 19:06 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

175651 general/platform/frameworks/base Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tangyj0127@thundersoft.com

MM:Audio: fix can not recover mute state if IDCM reject event about mute->unmute1. fix can not recover mute state if IDCM reject event about

mute->unmute.2. add IDCM event to audio dumpsysTC-RID: 0301-0900117IssueID: TS-R-DF-110969Change-Id:

I3b81e5c015da76a6d6f4fa4256561a89e10b5351

#15 - 2023-05-31 09:50 - CD MM唐驭俊

- Status changed from 进行中 In Progress to 完成 Closed

开发已经完成

Close

#16 - 2023-09-13 14:04 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

312052 general/platform/frameworks/base Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tangyj0127@thundersoft.com

MM: Audio: Get volume without toastGet volume without toastTC-RID: 0301-0900116IssueID:  TS-R-DF-110969Change-Id:

I5142630b470c23abbccf0339d078612f10b05d4d

#17 - 2023-10-07 16:52 - IoT scm

Gerrit Merge Information：
ID Project Branch Uploader

317243 general/platform/frameworks/base Pre_figure_turbox-c2130c-la1.1-qssi12

-release_sorp

wangxl0510@thundersoft.com

MM: Audio: Get volume without toastGet volume without toastTC-RID: 0301-0900116IssueID:  TS-R-DF-110969Change-Id:

I5142630b470c23abbccf0339d078612f10b05d4d(cherry picked from commit 08d27f66e79bc5fcbcabdea3600c37a59c4faae1)
